import request from '@/config/axios'

// 错误记录 VO
export interface ErrorRecordVO {
  id: number // id
  title: string // 标题
  location: string // 位置
  exception: string // 异常
  preData: string // 前数据
  postData: string // 后数据
}

// 错误记录 API
export const ErrorRecordApi = {
  // 查询错误记录分页
  getErrorRecordPage: async (params: any) => {
    return await request.get({ url: `/mes/error-record/page`, params })
  },

  // 查询错误记录详情
  getErrorRecord: async (id: number) => {
    return await request.get({ url: `/mes/error-record/get?id=` + id })
  },

  // 新增错误记录
  createErrorRecord: async (data: ErrorRecordVO) => {
    return await request.post({ url: `/mes/error-record/create`, data })
  },

  // 修改错误记录
  updateErrorRecord: async (data: ErrorRecordVO) => {
    return await request.put({ url: `/mes/error-record/update`, data })
  },

  // 删除错误记录
  deleteErrorRecord: async (id: number) => {
    return await request.delete({ url: `/mes/error-record/delete?id=` + id })
  },

  // 导出错误记录 Excel
  exportErrorRecord: async (params) => {
    return await request.download({ url: `/mes/error-record/export-excel`, params })
  }
}